import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;

public class NaiveMajority
{
    public static void main( String[] args ) throws IOException
    {
        String filename       = args[0];
        int    numberOfCandidates = Integer.parseInt(args[1]);

        int   numberOfVotes  = 0;
        int[] candidateTally = new int[numberOfCandidates];
        for (int i = 0; i < numberOfCandidates; i++)
            candidateTally[i] = 0;

        BufferedReader in = new BufferedReader(new FileReader(filename));
        while (true)
        {
            String voteString = in.readLine();
            if (voteString == null) break;
            numberOfVotes++;
            int vote = Integer.parseInt(voteString);
            candidateTally[vote-1]++;
        }
        in.close();

        int majority = numberOfVotes/2 + 1;

        int i;
        for (i = 0; i < numberOfCandidates; i++)
            if (candidateTally[i] >= majority)
                break;
        if (i >= numberOfCandidates)
        {
            System.out.println( "no majority candidate" );
            System.exit(0);
        }

        System.out.println( "majority candidate " + (i + 1) );
    }
}
